Subject: bug#72769: 31.0.50; info-pop-to-buffer should respect display-buffer-alist

From: Björn Bidar <[email-masked]>
Date: Fri, 23 Aug 2024 10:28:20 +0300

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 23 Aug 2024 08:34:41 +0300
>> From:  Björn Bidar via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> When calling Info directly it's possible to enforce to e.g. open info in
>> another window.
>> However when using functions such as info-display-manual this approach
>> doesn't work.
>> It would be better if info-pop-to-buffer generally would respect
>> display-buffer unless other-window is t.
>> 
>> The easiest option would be to remove the display-buffer-same-window
>> flag however I don't how important it would be to keep the old
>> behavior.
>> Should info respect display-buffer-alist or is there a reason it shouldn't?
>
> I'd like to ask the opposite: are there any reasons to change the
> current behavior?  This command existed for quite some time, and no
> one has complained about its behavior so far.  Consistency by itself
> is not a reason good enough to make such changes, so are there other
> reasons?
>

The behaviour on how and where info is opened is not customizable as
opposed to for example the help or man where dispaly-buffer-alist is
respected.
While it wouldn't help existing users I think would help newer users.

For my own personal use the issue is that I don't like when info doesn't
open in a new window so that I don't have open a frame/window to keep
looking at the existing thing I was doing at that time e.g. programming.